[Backgroundrb-devel] Backgroundrb 1.0.1: uninitialized constant Packet::ClassHelpers (NameError)

hemant gethemant at gmail.com
Thu Jan 17 04:28:45 EST 2008


Hi Felix,

On Jan 17, 2008 9:01 AM, felix clack <felixclack at gmail.com> wrote:
> Hi hemant,
>
> thanks for the help but unfortunately that hasn't worked either. Still the
> same error message when attempting to start backgroundrb.
>
> The require line you suggested wasn't present in packet.rb so I added it,
> however the same error message still appeared.
>
> I've also checked out a fresh copy of backgroundrb to ensure I haven't
> introduced any errors in the code. Doesn't seem to have made any difference
> to the error.

There is something fishy going in your setup? Checkout this file:

http://svn.devjavu.com/backgroundrb/tags/release-1.0.1/framework/packet.rb

It has the line "require 'class_helpers'", so I am surprised to see
that despite using 1.0.1 tag, you didn't had that line.
Also, there could be a possibility that you have a file with same name
elsewhere in your load_path. Can you check and tell me, if the
class_helpers file I mentioned is actually being loaded or not?



-- 
Let them talk of their oriental summer climes of everlasting
conservatories; give me the privilege of making my own summer with my
own coals.

http://gnufied.org


More information about the Backgroundrb-devel mailing list